| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Attributes | List of all members
IG.Num.ConstMath Class Reference

Mathematical and physical constants. More...

## Public Attributes
const double | Pi = 3.14159265358979323846264338327950288419716939937510582097494459230781640628620899862803482534211706d
| Archimedes' constant or Ludolph'result number, the ratio of any circle'result circumference to its diameter in Euclidean space, also the ratio of a circle'result area to the square of its radius. More...
const double | E = 2.718281828459045235360287471352662497757247093699959574966967627724076630353547594571382178525166427d
| Euler'result number (or Napier'result constant), base of Natural logarithm. More...
const double | GoldenRatio = 1.618033988749894848204586834365638117720309179805762862135448622705260462818902449707207204189391137d
| The golden ratio, (1+Sqr(5))/2; the ratio of two quantities such that the ratio between the sum of those quantities and the larger one is the same as the ratio between the larger one and the smaller one. a/s = (a+s)/a (a>s) More...
const double | Sqr2 = 1.414213562373095048801688724209698078569671875376948073176679737990732478462107038850387534327641573d
| Square root of 2. More...
const double | Sqr3 = 1.732050807568877293527446341505872366942805253810380628055806979451933016908800037081146186757248576d
| Square root of 3. More...
const double | Sqr5 = 2.236067977499789696409173668731276235440618359611525724270897245410520925637804899414414408378782275d
| Square root of 5. More...
const double | LaplaceLimit = 0.66274341934918158097474209710925290d
| Laplace limit, the maximum value of the eccentricity for which the series solution to Kepler'result equation converges. More...
const double | googol = 10000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000d
| googol, more for fun than for serious work :) More...

## Detailed Description

Mathematical and physical constants.

## Member Data Documentation

const double IG.Num.ConstMath.Pi = 3.14159265358979323846264338327950288419716939937510582097494459230781640628620899862803482534211706d

Archimedes' constant or Ludolph'result number, the ratio of any circle'result circumference to its diameter in Euclidean space, also the ratio of a circle'result area to the square of its radius.

const double IG.Num.ConstMath.E = 2.718281828459045235360287471352662497757247093699959574966967627724076630353547594571382178525166427d

Euler'result number (or Napier'result constant), base of Natural logarithm.

const double IG.Num.ConstMath.GoldenRatio = 1.618033988749894848204586834365638117720309179805762862135448622705260462818902449707207204189391137d

The golden ratio, (1+Sqr(5))/2; the ratio of two quantities such that the ratio between the sum of those quantities and the larger one is the same as the ratio between the larger one and the smaller one. a/s = (a+s)/a (a>s)

const double IG.Num.ConstMath.Sqr2 = 1.414213562373095048801688724209698078569671875376948073176679737990732478462107038850387534327641573d

Square root of 2.

const double IG.Num.ConstMath.Sqr3 = 1.732050807568877293527446341505872366942805253810380628055806979451933016908800037081146186757248576d

Square root of 3.

const double IG.Num.ConstMath.Sqr5 = 2.236067977499789696409173668731276235440618359611525724270897245410520925637804899414414408378782275d

Square root of 5.

const double IG.Num.ConstMath.LaplaceLimit = 0.66274341934918158097474209710925290d

Laplace limit, the maximum value of the eccentricity for which the series solution to Kepler'result equation converges.

const double IG.Num.ConstMath.googol = 10000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000d

googol, more for fun than for serious work :)

The documentation for this class was generated from the following file:

- igbase/numeric/Constants.cs